Page MenuHomePhabricator

Consolidate Preferences: New UX on RC but NOT Watchlist (option #2)
Open, Needs TriagePublic

Description

This version of preferences is displayed to users who do NOT have the new UX on RC or Watchlist (meaning they've opted out on both pages or, in the near term, opted out on RC page and never took the beta on WL).

The many small changes made in the new design to wording and layout are too numerous to note individually. So, for layout of the page, see the screenshot below, under "Layout." To get correct wording, copy and paste the text in the "Wording" section. (Copy and paste is safest because so many, many small wording changes have been made.)

For all old-style preferences, see T172757 for details about how to convert to equivalents in the new UX.

Layout, Option #2

Please consult this graphic for details about grouping and order of items, indentation and variation among text styles

  • All styles in the mockup are meant to indicate existing styles on the Preference page
  • Please note that as now, to help users distinguish among page sections more easily, vertical spacing between the last item in a section and the following section title is greater than spacing between the first item in a section and that section's own title.

Wording

Copy final wording from section #2 of this document.

Functional Changes, Option #2

This section will single out for description only the functions and behavior which change in the preference consolidation. I.e., unless discussed, functionality will be the same as previous to consolidation. Some significant layout changes are mentioned, though you should check the Layout section below for further details. It's important to read each item carefully, because even elements that appear to be the same from one version to the next may have slightly different behavior (or titles) in different versions of these preferences. All such differences have been noted.

Number of edits to show section
  • Number of edits becomes a section of its own.
  • As before (though it was not fully stated), this control sets the default number of changes to show on History, Contributions & Logs pages. (WL needs its own preference; no preference is offered for RC page).
  • We will set a new maximum number for all these pages of 500.
  • The header reads "Number of Edits to show on History, Contributions & Logs"
Revision Scoring on Watchlist and Contributions section
  • On ORES wikis, Revision Scoring becomes its own section,
  • This section, which controls the "classic ORES" features, appears on ORES-enabled wikis only.
  • The controls apply to all pages on which Classic ORES is available. On this version of preferences, these are Watchlist and Contributions.
  • The section title reflects that: Revision Scoring on Watchlist and Contributions
  • A new subline describes the controls. The subline contains the word "ORES," which links to https://www.mediawiki.org/wiki/ORES
  • The functions in this section have been re-ordered for clarity, and the small gray instruction text for the menu has been reworded.
Watchlist section
  • Most Watchlist preferences are carried forward (but have been reworded and rearranged).
  • The "Group changes by page" option for WL was previously available only on RC page, and was a combined setting for both pages. WL now has its on preference.
  • Since "Group changes by page" is only relevant when the user selects "Show all changes to a page, not just the latest revision," the function is shown visually as indented under that option.
  • The "Number of edits to display when showing all changes" control is also indented under "Show all changes to a page", for the same reason.
    • If possible, these controls should be grayed out until the user selects "Show all changes to a page." But if that's not possible, a visual indent will be sufficient.
  • Note: as now, the option "Always add pages I review to my watchlist" appears only for users who have the reviewer right. (This option has been reworded.)
  • [After Watchlist beta graduation, a New Filters opt-out will be added to the section; this is handled in T173542]
Recent Changes section
  • PRIOR TO RC PAGE GRADUATING FROM BETA
    • The Recent Changes preference section contains no preference options at all.
    • It includes only a notice to users that "Recent Changes filter preferences can now be managed on Recent Changes itself...." [see "Wording" document, link below, for full and final wording].
      • If possible, this notice will be preceded by a bookmark icon.
  • AFTER RECENT CHANGES BETA GRADUATION
    • The notice, above, about how preferences are managed on RC page itself is still displayed.
    • In addition the New Filters opt out language and check box (T168376) are displayed.
Pending Changes
  • No changes were made to this section.
  • (As now, there is a preference that shows u only if you have the reviewer right: Show the difference between the accepted and latest revisions when viewing the latest pending revision)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 12:50 AM
jmatazzoni renamed this task from Consolidate Preferences: New UX on RC but NOT Watchlist to Consolidate Preferences: New UX on RC but NOT Watchlist (option #2).Aug 3 2017, 12:53 AM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 7 2017, 11:27 PM
jmatazzoni updated the task description. (Show Details)
Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 26 2019, 8:42 AM